﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000B (1 yr) Bandwidth RS-232 /9500/600
INSTRUMENT:            Sub Tek TDS3000B (1 yr) Full BW Trig RS-232 /9500/600
INSTRUMENT:            Sub Tek TDS3000B (1 yr) 50 MHz Trig RS-232 /9500/600
DATE:                  2010-08-04 09:34:05
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       313
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS3000B Series
#           TDS 3012B, TDS 3014B, TDS 3032B, TDS 3034B, TDS 3052B, TDS 3054B
#           TDS 3024B, TDS 3044B, TDS3064B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  PORT         *RST;CLEARM;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS3000 Select Channel RS-232

  1.003  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.004  JMPL         TRIGGER_FULL_BW              PSUBI("Full BW Trig")
  1.005  JMPL         TRIGGER_50MHz                PSUBI("50 MHz Trig")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

  2.001  LABEL        BANDWIDTH
  2.002  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =BANDWIDTH
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  TARGET
  2.010  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.011  PORT         TRIG:A:EDGE:SOURCE VERT;COUP NOISE
  2.012  PORT         HOR:SCA 10E-6
  2.013  PORT         CH[V @Chan]:COUP DC;IMP FIFTY;SCA 100E-3
  2.014  PORT         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.015  MATH         MEM = 600; MEM1 = MEM

  2.016  DO
  2.017  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.018  IF           MEM > 9500 || MEM < 5
  2.019  MATH         MEM = 600
  2.020  ENDIF

  2.021  9500         mVpp                         50kH           LS    S  L
  2.022  WAIT         [D1000]
  2.023  PORT         MEASU:MEAS1:VAL?[I]
  2.024  MATH         MEM = MEM / 1E-3
  2.025  UNTIL        (MEM >= 599) && (MEM <= 601)

# Last calibrator amplitude setting is in MEM1.
  2.026  MATH         MEM = MEM1
  2.027  PORT         HOR:SCA 10E-9

  2.028  IF           @Bandwidth == 100E+6
  2.029  PORT         HOR:SCA 10E-9
  2.030  9500         mVpp                         100MH          LS    S  L
  2.031  ELSEIF       @Bandwidth == 200E+6
  2.032  PORT         HOR:SCA 5E-9
  2.033  9500         mVpp                         200MH          LS    S  L
  2.034  ELSEIF       @Bandwidth == 300E+6
  2.035  PORT         HOR:SCA 2E-9
  2.036  9500         mVpp                         300MH          LS    S  L
  2.037  ELSEIF       @Bandwidth == 400E+6
  2.038  PORT         HOR:SCA 2E-9
  2.039  9500         mVpp                         400MH          LS    S  L
  2.040  ELSEIF       @Bandwidth == 500E+6
  2.041  PORT         HOR:SCA 1E-9
  2.042  9500         mVpp                         500MH          LS    S  L
  2.043  ELSEIF       @Bandwidth == 600E+6
  2.044  PORT         HOR:SCA 1E-9
  2.045  9500         mVpp                         600MH          LS    S  L
  2.046  ENDIF

  2.047  WAIT         -t 5 System settling...
  2.048  PORT         MEASU:MEAS1:VAL?[I]
  2.049  MATH         MEM = MEM / 1E-3
  2.050  MATH         RstStr = FMT(MEM, "%.1f") & " mVpp"
  2.051  MATH         RstStr = " Bound >= 425 mVpp, result: " & RstStr
  2.052  EVAL   -e MEM >= 425 : [V RstStr]

  3.001  HEAD
  3.002  9500         *                                                 S
  3.003  END

  3.004  EVAL   Increment step number

# ********************** TRIGGER_FULL_BW ****************************

  4.001  LABEL        TRIGGER_FULL_BW
  4.002  HEAD         TRIGGER SENS AT FULL BW (CH [V @Chan])

  4.003  IF           @Chan == 1
  4.004  RSLT         =
  4.005  RSLT         =TRIGGER SENSITIVITY AT FULL BANDWIDTH
  4.006  ENDIF

  4.007  RSLT         =
  4.008  RSLT         =Channel [V @Chan]
  4.009  HEAD         -2 RISING SLOPE
  4.010  TARGET
  4.011  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16
  4.012  PORT         TRIG:A:EDGE:SOURCE VERT
  4.013  PORT         HOR:SCA 10E-9
  4.014  PORT         CH[V @Chan]:IMP FIFTY;SCA 500E-3
  4.015  PORT         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  4.016  MATH         MEM = 2500; MEM1 = MEM

  4.017  DO
  4.018  MATH         MEM = MEM1 + (2500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.019  IF           MEM > 9500 || MEM < 5
  4.020  MATH         MEM = 2500
  4.021  ENDIF

  4.022  IF           @Bandwidth == 100E+6
  4.023  9500         mVpp                         100MH          LS    S  L
  4.024  ELSEIF       @Bandwidth == 200E+6
  4.025  9500         mVpp                         200MH          LS    S  L
  4.026  ELSEIF       @Bandwidth == 300E+6
  4.027  9500         mVpp                         300MH          LS    S  L
  4.028  ELSEIF       @Bandwidth == 400E+6
  4.029  9500         mVpp                         400MH          LS    S  L
  4.030  ELSEIF       @Bandwidth == 500E+6
  4.031  9500         mVpp                         500MH          LS    S  L
  4.032  ELSEIF       @Bandwidth == 600E+6
  4.033  9500         mVpp                         600MH          LS    S  L
  4.034  ENDIF

  4.035  MATH         CalVal = MEM1

  4.036  WAIT         [D1000]
  4.037  PORT         MEASU:MEAS1:VAL?[I]
  4.038  MATH         MEM = MEM / 1E-3
  4.039  UNTIL        (MEM >= 2445) && (MEM <= 2505)

  4.040  MATH         MEM = CalVal / 5

  4.041  IF           @Bandwidth == 100E+6
  4.042  9500         mVpp                         100MH          LS    S  L
  4.043  ELSEIF       @Bandwidth == 200E+6
  4.044  9500         mVpp                         200MH          LS    S  L
  4.045  ELSEIF       @Bandwidth == 300E+6
  4.046  9500         mVpp                         300MH          LS    S  L
  4.047  ELSEIF       @Bandwidth == 400E+6
  4.048  9500         mVpp                         400MH          LS    S  L
  4.049  ELSEIF       @Bandwidth == 500E+6
  4.050  9500         mVpp                         500MH          LS    S  L
  4.051  ELSEIF       @Bandwidth == 600E+6
  4.052  9500         mVpp                         600MH          LS    S  L
  4.053  ENDIF

  4.054  MATH         CalOutVal = MEM1
  4.055  PORT         MEASU:MEAS1:VAL?[I]
  4.056  MATH         @PeakVal = MEM / 2
  4.057  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
  4.058  EVAL   -e @Triggered : Rising Slope, Stable Trigger

  5.001  HEAD         -2 FALLING SLOPE
  5.002  TARGET
  5.003  PORT         TRIGGER:A:EDGE:SLOPE FALL
  5.004  MATH         MEM = CalOutVal

  5.005  IF           @Bandwidth == 100E+6
  5.006  9500         mVpp                         100MH          LS    S  L
  5.007  ELSEIF       @Bandwidth == 200E+6
  5.008  9500         mVpp                         200MH          LS    S  L
  5.009  ELSEIF       @Bandwidth == 300E+6
  5.010  9500         mVpp                         300MH          LS    S  L
  5.011  ELSEIF       @Bandwidth == 400E+6
  5.012  9500         mVpp                         400MH          LS    S  L
  5.013  ELSEIF       @Bandwidth == 500E+6
  5.014  9500         mVpp                         500MH          LS    S  L
  5.015  ELSEIF       @Bandwidth == 600E+6
  5.016  9500         mVpp                         600MH          LS    S  L
  5.017  ENDIF

  5.018  PORT         MEASU:MEAS1:VAL?[I]
  5.019  MATH         @PeakVal = MEM / 2
  5.020  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
  5.021  EVAL   -e @Triggered : Falling Slope, Stable Trigger

  6.001  HEAD         -2
  6.002  HEAD
  6.003  9500         *                                                 S
  6.004  END

  6.005  EVAL   Increment step number

# ********************** TRIGGER_50MHz ********************************

  7.001  LABEL        TRIGGER_50MHz
  7.002  HEAD         TRIGGER SENS AT 50 MHz (CH [V @Chan])

  7.003  IF           @Chan == 1
  7.004  RSLT         =
  7.005  RSLT         =TRIGGER SENSITIVITY AT 50 MHz
  7.006  ENDIF

  7.007  RSLT         =
  7.008  RSLT         =Channel [V @Chan]
  7.009  HEAD         -2 RISING SLOPE
  7.010  TARGET
  7.011  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16
  7.012  PORT         TRIG:A:EDGE:SOURCE VERT
  7.013  PORT         HOR:SCA 100E-9
  7.014  PORT         CH[V @Chan]:IMP FIFTY;SCA 500E-3
  7.015  PORT         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  7.016  MATH         MEM = 3000; MEM1 = MEM

  7.017  DO
  7.018  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.019  IF           MEM > 9500 || MEM < 5
  7.020  MATH         MEM = 3000
  7.021  ENDIF

  7.022  9500         mVpp                         50MH           LS    S  L
  7.023  MATH         CalVal = MEM1
  7.024  WAIT         [D1000]
  7.025  PORT         MEASU:MEAS1:VAL?[I]
  7.026  MATH         MEM = MEM / 1E-3
  7.027  UNTIL        (MEM >= 2995) && (MEM <= 3005)

  7.028  MATH         MEM = CalVal / 10
  7.029  9500         mVpp                         50MH           LS    S  L
  7.030  MATH         CalOutVal = MEM1
  7.031  PORT         MEASU:MEAS1:VAL?[I]
  7.032  MATH         @PeakVal = MEM / 2
  7.033  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
  7.034  EVAL   -e @Triggered : Rising Slope, Stable Trigger

  8.001  HEAD         -2 FALLING SLOPE
  8.002  TARGET
  8.003  PORT         TRIGGER:A:EDGE:SLOPE FALL
  8.004  MATH         MEM = CalOutVal
  8.005  9500         mVpp                         50MH           LS    S  L
  8.006  PORT         MEASU:MEAS1:VAL?[I]
  8.007  MATH         @PeakVal = MEM / 2
  8.008  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
  8.009  EVAL   -e @Triggered : Falling Slope, Stable Trigger

  9.001  HEAD         -2
  9.002  HEAD
  9.003  9500         *                                                 S
  9.004  END
